Subject: [nfsv4] (mostly) nits in draft-ietf-nfsv4-multi-domain-fs-reqs-04

From: Mike Kupfer <[email-masked]>
Date: Mon, 17 Aug 2015 17:14:25 -0700

The one technical concern that I have is with the new text in Section 4
about not using stringified identifiers.  Maybe I'm just confused, but
doesn't the ACE4_IDENTIFIER_GROUP flag tell whether the identifier
refers to a user or a group?  Otherwise, there's no way to distinguish a
user from a group with the same name, even using the name@domain form.
So wouldn't the ACE4_IDENTIFIER_GROUP flag work just as well for
stringified identifiers in a stand-alone domain deployment?

Section 2:
  - under "Local representation of identity":
    - "such as a a uidNumber" -> "such as a uidNumber"
    - "gidNumber (GID) [RFC2307], a Windows Security Identifier" ->
      "gidNumber (GID) [RFC2307], or a Windows Security Identifier"
    - "the identifier space for user and groups" -> "the identifier
      space for users and groups"
    - "requiring the one" -> "requiring anyone" or "requiring anything"

Section 3.1:
  - missing period at the end of "interoperate in a multi-domain
    environment"

Section 3.2:
  - "A client obtaining value" -> "A client that receives the values"
    (though I suppose "A client obtaining values" would work).
  - "attributes in a a local form" -> "attributes in a local form"

Section 4 (assuming that the 4th paragraph should be kept at all):
  - "aces cannot contain" -> "ACEs cannot contain"
  - "stringified id's" -> "stringified identifiers" (or "stringified
    IDs")
  - "This is opposed to" -> "This is different from"

Section 4.2:
  - "Another possibility is express" -> "Another possibility is to
    express"
  - "rather than using use" -> "rather than using"

cheers,
mike

---

From: "Adamson, Andy" <[email-masked]>
Date: Tue, 18 Aug 2015 13:14:06 +0000

> On Aug 17, 2015, at 8:14 PM, Mike Kupfer <[email-masked]> wrote:
> 

Yes, you are correct. I’ll remove that paragraph.

>  - "rather than using use" -> "rather than using”

Will fix nits.
Thanks for the review

—>Andy
> 
> cheers,
> mike
> 
> _______________________________________________
> nfsv4 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nfsv4